Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.communities.invitations.email.formatting
Class JspEmailTextFormatterUtil

    java.lang.Object
      com.bea.netuix.application.communities.invitations.email.formatting.JspEmailTextFormatterUtil

    public class JspEmailTextFormatterUtil

extends Object

Utility class that assists in conveying invitation information to a JSP used by the JspEmailTextFormatter. This is accomplished by caching an `InvitationDetailCacheEntry`, keyed by an `Integer` key that is supplied to the JSP as a request parameter, which can then be used by the JSP to retrieve `InvitationDetails`, the Community URL, the `Invitee` or the `InvitationDetailCacheEntry` itself.

Nested Class Summary
`static class` | `JspEmailTextFormatterUtil.InvitationDetailCacheEntry` Represents a set of information regarding the current invitation operation, including the `InvitationDetails`, the `Invitee` and the Community Url String.

Constructor Summary
`JspEmailTextFormatterUtil()`

Method Summary
`static Integer` | `cacheInvitationDetails(JspEmailTextFormatterUtil.InvitationDetailCacheEntry details)` Caches an `InvitationDetailsCacheEntry` and returns its associated `Integer` key.
`static JspEmailTextFormatterUtil.InvitationDetailCacheEntry` | `getCacheInvitationDetails(HttpServletRequest request)` Gets the `InvitationDetailCacheEntry` based on the parameter key which is in the request.
`static String` | `getCommunityURL(HttpServletRequest request)` Gets the Community URL based on the parameter key which is in the request.
`static InvitationDetails` | `getInvitationDetails(HttpServletRequest request)` Gets the `InvitationDetails` based on the parameter key which is in the request.
`static Invitee` | `getInvitee(HttpServletRequest request)` Gets the `Invitee` based on the parameter key which is in the request.
`static void` | `removeCacheInvitationDetails(Integer key)` Removes the `InvitationDetailCacheEntry` associated with the supplied key

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspEmailTextFormatterUtil

    public JspEmailTextFormatterUtil()

Method Detail

### cacheInvitationDetails

    public static Integer cacheInvitationDetails(JspEmailTextFormatterUtil.InvitationDetailCacheEntry details)

  Caches an `InvitationDetailsCacheEntry` and returns its associated `Integer` key. This method is called from the `JspEmailTextFormatter` or other class which invokes a JSP where it is useful to provide Invitation details without having an API available to pass Java objects.

  Parameters
    `details` -
  Returns
    the `Integer` key for the cached entry

### getInvitationDetails

    public static InvitationDetails getInvitationDetails(HttpServletRequest request)

  Gets the `InvitationDetails` based on the parameter key which is in the request.

  Parameters
    `request` - the current `HttpServletRequest`
  Returns
    the `InvitationDetail` object associated with the current invitation operation

### getCommunityURL

    public static String getCommunityURL(HttpServletRequest request)

  Gets the Community URL based on the parameter key which is in the request.

  Parameters
    `request` - the current `HttpServletRequest`
  Returns
    the Community URL `String` associated with the current invitation operation

### getInvitee

    public static Invitee getInvitee(HttpServletRequest request)

  Gets the `Invitee` based on the parameter key which is in the request.

  Parameters
    `request` - the current `HttpServletRequest`
  Returns
    the `Invitee` object associated with the current invitation operation

### getCacheInvitationDetails

    public static JspEmailTextFormatterUtil.InvitationDetailCacheEntry getCacheInvitationDetails(HttpServletRequest request)

  Gets the `InvitationDetailCacheEntry` based on the parameter key which is in the request.

  Parameters
    `request` - the current `HttpServletRequest`
  Returns
    the `InvitationDetailCacheEntry` object associated with the current invitation operation

### removeCacheInvitationDetails

    public static void removeCacheInvitationDetails(Integer key)

  Removes the `InvitationDetailCacheEntry` associated with the supplied key

  Parameters
    `key` - the key for the `InvitationDetailCacheEntry` to remove

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved